QGIS Application - Bug report #19243
Zooming out crashes QGIS
2018-06-22 08:46 AM - Marten Middeldorp

Status: Closed
Priority: Normal
Assignee:

Category: GUI

Affected QGIS version:3.0.3

Operating System: Windows 10 (64-bit)
Pull Request or Patch supplied:

Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: duplicate

Copied to github as #: 27071

Description

User Feedback

Simple zooming in- and out in the first QGIS tutorial (natural earth) causes QGIS to crash. Memory not an issue.

Report Details

Crash ID: 6¢c0c691157b8e559aa4b3c35ba55d37f0cffaf57

Stack Trace

geos:index::striree::STRtree::STRIntersectsOp::~STRIntersectsOp :

QgsGeometryFactory::linestringFromPolyline :
QgsGeometryFactory::linestringFromPolyline :
QgsGeometryFactory::linestringFromPolyline :
QgsGeometry:makeValid :
QgsPalLabeling::prepareGeometry :
QgsPallLayerSettings::registerFeature :
QgsVectorLayerLabelProvider::registerFeature :
QgsVectorLayerLabelProvider::registerFeature :
QgsVectorLayerLabelProvider::registerFeature :

QgsMapRendererParallelJob::renderLayerStatic :
QgsMapRendererParallelJob::renderingFinished :

QgsArchive::zip :
QgslmageOperation::fliplmage :
QtConcurrent::ThreadEngineBase::run :
QThreadPoolPrivate::reset :
QThread::start :

BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.3-Girona

QGIS code revision: commit:8a899c8758
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

2025-04-27
#1 - 2018-06-22 01:47 PM - Nyall Dawson
- Resolution set to duplicate
- Status changed from Open to Closed

Duplicate of #14752

#2 - 2018-06-22 03:37 PM - Marten Middeldorp

Is there an easy fix for this issue? Trying to work through the first QGIS tutorial. This is very discouraging!
